package com.bocloud.cmp.model.installation;

/**
 * 任务详情
 *
 * @author 007
 */
public class InstallResultBean {
    private String name;
    private String impiIp;
    private Long cost;
    private String result;
    private boolean success;
    private String status;

    public InstallResultBean() {
        super();
    }

    public InstallResultBean(String name, String impiIp, Long cost, String result, boolean success, String status) {
        super();
        this.name = name;
        this.impiIp = impiIp;
        this.cost = cost;
        this.result = result;
        this.success = success;
        this.status = status;
    }

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the impiIp
     */
    public String getImpiIp() {
        return impiIp;
    }

    /**
     * @param impiIp the impiIp to set
     */
    public void setImpiIp(String impiIp) {
        this.impiIp = impiIp;
    }

    /**
     * @return the cost
     */
    public Long getCost() {
        return cost;
    }

    /**
     * @param cost the cost to set
     */
    public void setCost(Long cost) {
        this.cost = cost;
    }

    /**
     * @return the result
     */
    public String getResult() {
        return result;
    }

    /**
     * @param result the result to set
     */
    public void setResult(String result) {
        this.result = result;
    }

    /**
     * @return the success
     */
    public boolean isSuccess() {
        return success;
    }

    /**
     * @param success the success to set
     */
    public void setSuccess(boolean success) {
        this.success = success;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }
}
